package com.bocloud.cmp.provider.kubernetes;

import com.bocloud.cmp.model.kubernetes.NodeModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * k8s node
 *
 * @时间 2019年8月21日
 */
public interface NodeProvider extends SuperProvider {
    public BocloudResult list();

    public BocloudResult create(NodeModel model);

    public BocloudResult remove(NodeModel model);

    public BocloudResult detail(NodeModel model);

    public BocloudResult modify(NodeModel model);

    public BocloudResult modifySchedule(NodeModel model);

    public BocloudResult removeNodeLabels(NodeModel model);

    public BocloudResult addNodeLabels(NodeModel model);
}
